{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"<b>Required scope: </b><code>tags:write</code>\n\nUpdates the properties of a tag. Only the fields provided in the `data`\nblock will be updated; any unspecified fields will remain unchanged.\n\nWhen using this method, it is best to specify only those fields you wish\nto change, or else you may overwrite changes made by another user since\nyou last retrieved the tag.\n\nReturns the complete updated tag record.","properties":{"path":{"type":"object","properties":{"tag_gid":{"type":"string","examples":["11235"],"description":"Globally unique identifier for the tag."}},"required":["tag_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["color","created_at","followers","followers.name","name","notes","permalink_url","workspace","workspace.name"]},"examples":[["color","created_at","followers","followers.name","name","notes","permalink_url","workspace","workspace.name"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/TagUpdateRequest"}}}},"required":["path","body"],"additionalProperties":false,"definitions":{"TagUpdateRequest":{"$ref":"#/definitions/TagBaseRequest"},"TagBaseRequest":{"$ref":"#/definitions/TagBase"},"TagBase":{"allOf":[{"$ref":"#/definitions/TagCompact"},{"type":"object","properties":{"color":{"type":["string","null"],"description":"Color of the tag.","enum":["dark-pink","dark-green","dark-blue","dark-red","dark-teal","dark-brown","dark-orange","dark-purple","dark-warm-gray","light-pink","light-green","light-blue","light-red","light-teal","light-brown","light-orange","light-purple","light-warm-gray",null],"examples":["light-green"]},"notes":{"description":"Free-form textual information associated with the tag (i.e. its description).","type":"string","examples":["Mittens really likes the stuff from Humboldt."]}}}]},"TagCompact":{"description":"A *tag* is a label that can be attached to any task in Asana. It exists in a single workspace or organization.","type":"object","properties":{"name":{"description":"Name of the tag. This is generally a short sentence fragment that fits on a line in the UI for maximum readability. However, it can be longer.","type":"string","examples":["Stuff to buy"]}}}}},"name":"Update a tag","id":"asana.updatetag","example":{"path":{"tag_gid":"11235"},"body":{}},"maxRequests":1,"summary":false}}